# class toResultStats | This widget will displays information about statistics in either a database or a session. More...
Definition | `#include <toresultstats.h>`
Inherits | toResultView [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultStats (bool OnlyChanged,int ses,QWidget *parent,const char *name=NULL)
- toResultStats (bool OnlyChanged,QWidget *parent,const char *name=NULL)
- toResultStats (QWidget *parent,const char *name=NULL)
- ~toResultStats ()
- void resetStats (void)
- void changeSession (toQuery &conn)
- void changeSession (int ses)
- virtual bool canHandle (toConnection &conn)

#### Public Slots

- void refreshStats (bool reset=true)

#### Signals

- void sessionChanged (int ses)
- void sessionChanged (const QString &)

## Detailed Description

This widget will displays information about statistics in either a database or a session.

toResultStats (bool OnlyChanged,int ses,QWidget *parent,const char *name=NULL) | ### toResultStats

Create statistics widget for session statistics.

Parameters:

OnlyChanged | Only display changed items.
ses | Session ID to display info about.
parent | Parent widget.
name | Name of widget.

toResultStats (bool OnlyChanged,QWidget *parent,const char *name=NULL) | ### toResultStats

Create statistics widget for the current session statistics.

Parameters:

OnlyChanged | Only display changed items.
parent | Parent widget.
name | Name of widget.

toResultStats (QWidget *parent,const char *name=NULL) | ### toResultStats

Create statistics widget for the current database statistics.

Parameters:

parent | Parent widget.
name | Name of widget.

~toResultStats () | ### ~toResultStats

Destroy object.

void resetStats (void) | ### resetStats

Reset statistics. Read in last values without updating widget data.

void changeSession (toQuery &conn) | ### changeSession

Change the session that the current query will run on.

Parameters:

query | Query to check connection for.

void changeSession (int ses) | ### changeSession

Change session to specified id.

Parameters:

ses | Session ID to change to.

bool canHandle (toConnection &conn) | ### canHandle

[virtual]

Support Oracle

Reimplemented from toResultView.

void sessionChanged (int ses) | ### sessionChanged

[signal]

Emitted when session is changed.

Parameters:

ses | New session ID.

void sessionChanged (const QString &) | ### sessionChanged

[signal]

Emitted when session is changed.

Parameters:

ses | New session ID as string.

void refreshStats (bool reset=true) | ### refreshStats

[slot]

Update the statistics.

Parameters:

reset | Set delta to current values. This means that the next time this widget is updated the delta will be from the new values.